Subject: Feature request: git-svn dcommit should send deltas upstream

From: Florian Weimer <[email-masked]>
Date: Tue, 26 Aug 2008 12:54:36 +0200

Looking at my network traffic and the Perl code, it seems to me that
git-svn fails to create a diff (delta) before sending data to the
server.  As a result, a few changes in a multi-megabyte file lead to a
large upload (similar to the situation with CVS).  git-svn should be
able to compute this diff in all cases because it has got an up-to-date
copy of the current revision in the Subversion repository.

As far as I can tell, this can't be fixed with a one-liner; some handles
need to be passed down to the code that actually handles the upload.